Get one Agent Smith technique by id or slug (admin console).
curl --request GET \
--url https://api.mnemom.ai/v1/smith/techniques/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/smith/techniques/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/smith/techniques/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"tactic": "pretext",
"tactic_order": 123,
"target_surface": "read",
"status": "experimental",
"description": "<string>",
"strategy": "<string>",
"threat_type": "<string>",
"severity": "low",
"origin": "seed",
"evo_version": 123,
"atlas_tags": [
"<string>"
],
"owasp_tags": [
"<string>"
],
"modified": "<string>",
"confidence": 123,
"efficacy": 123,
"efficacy_trials": 123,
"templates": [
"<string>"
],
"examples": [
{
"prompt": "<string>",
"verdict": "held",
"sessionId": "<string>",
"agentId": "<string>",
"scenario": "<string>",
"agentExcerpt": "<string>",
"ts": "<string>"
}
],
"known_defenses": [
"<string>"
],
"preconditions": [
"<string>"
],
"references": [
"<string>"
],
"first_seen": "<string>",
"author": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Dojo
Get one Agent Smith technique by id or slug (admin console).
Returns one catalog technique’s full detail — description, strategy, templates, real observed examples, known defenses, preconditions, ATLAS/OWASP tags, line…
GET
/
smith
/
techniques
/
{id}
Get one Agent Smith technique by id or slug (admin console).
Authorizations
Supabase JWT token in Authorization: Bearer header
Path Parameters
Technique id (e.g. 'SMT-0001') or slug.
Response
The technique detail.
Available options:
pretext, authority-spoof, injection, rationalized-destruction, exfiltration Ladder-tier ordering (1..5).
read = leak, write = destructive.
Available options:
read, write Available options:
experimental, test, stable, deprecated, retired, rejected Available options:
low, medium, high, critical Available options:
seed, evolved, human-as-smith Wilson lower-bound confidence of the measured efficacy; null when unmeasured.
Raw measured range breach rate (breaches/trials); null when unmeasured.
Range trials behind confidence/efficacy; null when unmeasured.
Show child attributes
Show child attributes